{
  "controller_type": "knuckles",
  "description": "Valve Index\u63a7\u5236\u5668\u7ed1\u5b9a",
  "name": "EG VR Editor - Index",
  "bindings": {
    "/actions/default": {
      "sources": [
        {
          "inputs": {
            "click": {
              "output": "/actions/default/in/Trigger"
            }
          },
          "mode": "button",
          "path": "/user/hand/left/input/trigger"
        },
        {
          "inputs": {
            "click": {
              "output": "/actions/default/in/Trigger"
            }
          },
          "mode": "button",
          "path": "/user/hand/right/input/trigger"
        },
        {
          "inputs": {
            "value": {
              "output": "/actions/default/in/Squeeze"
            }
          },
          "mode": "trigger",
          "path": "/user/hand/left/input/grip"
        },
        {
          "inputs": {
            "value": {
              "output": "/actions/default/in/Squeeze"
            }
          },
          "mode": "trigger",
          "path": "/user/hand/right/input/grip"
        },
        {
          "inputs": {
            "click": {
              "output": "/actions/default/in/AButton"
            }
          },
          "mode": "button",
          "path": "/user/hand/right/input/a"
        },
        {
          "inputs": {
            "click": {
              "output": "/actions/default/in/BButton"
            }
          },
          "mode": "button",
          "path": "/user/hand/right/input/b"
        },
        {
          "inputs": {
            "position": {
              "output": "/actions/default/in/Trackpad"
            },
            "click": {
              "output": "/actions/default/in/TrackpadClick"
            },
            "touch": {
              "output": "/actions/default/in/TrackpadTouch"
            }
          },
          "mode": "trackpad",
          "path": "/user/hand/left/input/trackpad"
        },
        {
          "inputs": {
            "position": {
              "output": "/actions/default/in/Trackpad"
            },
            "click": {
              "output": "/actions/default/in/TrackpadClick"
            },
            "touch": {
              "output": "/actions/default/in/TrackpadTouch"
            }
          },
          "mode": "trackpad",
          "path": "/user/hand/right/input/trackpad"
        },
        {
          "inputs": {
            "position": {
              "output": "/actions/default/in/Joystick"
            }
          },
          "mode": "joystick",
          "path": "/user/hand/left/input/thumbstick"
        },
        {
          "inputs": {
            "position": {
              "output": "/actions/default/in/Joystick"
            }
          },
          "mode": "joystick",
          "path": "/user/hand/right/input/thumbstick"
        }
      ],
      "poses": [
        {
          "output": "/actions/default/in/Pose",
          "path": "/user/hand/left/pose/raw"
        },
        {
          "output": "/actions/default/in/Pose",
          "path": "/user/hand/right/pose/raw"
        }
      ],
      "haptics": [
        {
          "output": "/actions/default/out/Haptic",
          "path": "/user/hand/left/output/haptic"
        },
        {
          "output": "/actions/default/out/Haptic",
          "path": "/user/hand/right/output/haptic"
        }
      ]
    }
  }
}